zhongrj
2023-06-27 d74b495736f0c04522ec54274b70fed0ded2878d
public/map/css/index.css
New file
@@ -0,0 +1,333 @@
html,
body {
  height: 100%;
  margin: 0;
  padding: 0;
}
html {
  background: #fff;
  font-size: 16px;
}
ul,
li {
  margin: 0;
  padding: 0;
  list-style: none;
}
.title {
  height: 60px;
  line-height: 60px;
  position: relative;
  background-image: url(../images/title-bg.png);
  background-size: 100% 100%;
  background-repeat: no-repeat;
  background-position: top left;
}
.title > img {
  position: absolute;
  top: 14px;
  left: 18px;
  width: 36px;
  height: 36px;
  color: #FFFFFF;
}
.title h1 {
  display: inline-block;
  position: absolute;
  top: 9px;
  left: 62px;
  width: auto;
  height: 30px;
  line-height: 30px;
  font-size: 22px;
  font-family: "FZDBSJW";
  text-align: center;
  color: #FFFFFF;
  letter-spacing: 2px;
}
.title h2 {
  display: inline-block;
  position: absolute;
  top: 34px;
  left: 62px;
  width: auto;
  height: 10px;
  line-height: 10px;
  font-size: 12px;
  /* font-family: "FZDBSJW"; */
  text-align: center;
  font-weight: normal;
  color: #FFFFFF;
  opacity: .8;
  transform: scale(0.8);
  transform-origin: left center;
}
.title span {
  margin: 0 20px;
}
.top-menu {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  margin: auto;
  width: 804px;
}
.top-menu ul {
  display: flex;
  justify-content: center;
}
.top-menu li {
  list-style: none;
  color:rgba(255, 255, 255, 1);
  font-size: 16px;
  cursor: pointer;
  /* font-family: Courier, monospace; */
  text-align: center;
}
.top-menu > ul > li {
  width: 134px;
}
.top-menu > ul > li i {
  display: inline-block;
  width: 20px;
  height: 20px;
  vertical-align: -4px;
}
.top-menu > ul > li[open-li='BaseHome'] i {
  background: url(../images/base-home.png) no-repeat;
  background-size: 100% 100%;
}
.top-menu > ul > li[open-li='DailyAperation'] i {
  background: url(../images/operation.png) no-repeat;
  background-size: 100% 100%;
}
.top-menu > ul > li[open-li='RealTimePolice'] i {
  background: url(../images/real-police.png) no-repeat;
  background-size: 100% 100%;
}
.top-menu > ul > li[open-li='ClientManagement'] i {
  background: url(../images/customer-management.png) no-repeat;
  background-size: 100% 100%;
}
.top-menu > ul > li[open-li='PoliceDispatching'] i {
  background: url(../images/Industry-in-the-scheduling.png) no-repeat;
  background-size: 100% 100%;
}
.top-menu > ul > li[open-li='AnalysisAndJudgment'] i {
  background: url(../images/analysis-result.png) no-repeat;
  background-size: 100% 100%;
}
.top-menu li.active {
  background: rgba(9, 171, 255, 1);
}
#logout {
  position: absolute;
  top: 0;
  right: 32px;
  bottom: 0;
  left: auto;
  margin: auto;
  width: 35px;
  cursor: pointer;
  height: 35px;
  background: rgba(231, 234, 243, 0.3);
  border-radius: 50%;
}
#logout img {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  margin: auto;
  width: 20px;
  height: 20px;
}
.continer-index {
  position: relative;
  height: calc(100% - 60px);
}
.continer-index > div {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
.daily_iframe,
.home-iframe {
  width: calc(100% - 66px) !important;
  height: calc(100% - 66px) !important;
  overflow: auto;
  padding: 24px 32px 40px 32px;
}
.daily_iframe {
  display: none;
}
.daily_iframe>div,
.home-iframe>div {
  position: relative;
  width: calc(100% - 2px);
  height: calc(100% - 2px);
  border: 1px solid rgba(231, 234, 243, 1);
}
.home-iframe>div {
  background: rgb(243,243,244);
}
.home-iframe>div>iframe {
  padding: 0;
  width: 100%;
  height: 100%;
  box-sizing: border-box;
}
.home-iframe>div>iframe html,
  .home-iframe>div>iframe html body {
  height: 96%;
}
.daily_iframe>div>div {
  display: flex;
  position: absolute;
  width: calc(100%);
  height: calc(100%);
  overflow: hidden;
}
.daily_iframe>div>div>div.left {
  flex: 1;
  border-right: 1px solid rgba(231, 234, 243, 1);
}
.daily_iframe>div>div>div.left>ul {
  margin-top: 10px;
  padding: 0 10px;
}
.daily_iframe>div>div>div.left>ul li {
  list-style: none;
}
/* .daily_iframe>div>div>div.left ul li {
  margin: 10px 0;
  height: 30px;
  line-height: 30px;
  border-radius: 5px;
  text-align: center;
  color: #fff;
  font-size: 16px;
  background: rgb(0, 146, 204);
} */
.daily_iframe>div>div>div.left ul>li>div:first-child {
  position: relative;
  padding-left: 6px;
  height: 32px;
  line-height: 32px;
  text-align: left;
  color: #677788;
  font-size: 16px;
}
.daily_iframe>div>div>div.left ul>li>div:first-child i {
  position: absolute;
  right: 6px;
  top: 10px;
  width: 12px;
  height: 12px;
  background: url(../images/down-up.png) no-repeat;
  background-size: 100% 100%;
  transform: rotate(180deg);
}
.daily_iframe>div>div>div.left ul>li>div.small-tab li > div {
  padding-left: 16px;
  height: 32px;
  line-height: 32px;
  text-align: left;
  /* color: #fff; */
  font-size: 16px;
}
.daily_iframe>div>div>div.left ul>li div {
  cursor: pointer;
}
.daily_iframe>div>div>div.left ul>li div.activeed {
  color: rgb(0, 183, 255);
}
.daily_iframe>div>div>div.right {
  flex: 11;
}
.daily_iframe>div>div>div.right iframe {
  width: 100%;
  height: 100%;
}
.main_iframe {
  display: none;
}
#iframeContainer,
.iframeMain {
  margin: 0;
  padding: 0;
  width: 100%;
  height: calc(100% - 4px);
  border: none;
  overflow: hidden;
  position: relative;
}
.iframeMain>div {
  display: none;
}